Opened 5 years ago

Closed 5 years ago

#3612 closed defect (duplicate)

ffplay can not playback some network url correctly

Reported by: chinshou Owned by:
Priority: normal Component: avformat
Version: unspecified Keywords:
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

Summary of the bug:
ffplay can not playback some network url correctly

How to reproduce:

% ffplay -v 999 http://fmhanako.jp/radio/824.asx
ffplay version N-62460-gef818d8 Copyright (c) 2003-2014 the FFmpeg developers
  built on Apr 14 2014 22:01:48 with gcc 4.8.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-av
isynth --enable-bzlib --enable-fontconfig --enable-frei0r --enable-gnutls --enab
le-iconv --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetyp
e --enable-libgsm --enable-libilbc --enable-libmodplug --enable-libmp3lame --ena
ble-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-l
ibopus --enable-librtmp --enable-libschroedinger --enable-libsoxr --enable-libsp
eex --enable-libtheora --enable-libtwolame --enable-libvidstab --enable-libvo-aa
cenc --enable-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libwavp
ack --enable-libx264 --enable-libx265 --enable-libxavs --enable-libxvid --enable
-zlib
  libavutil      52. 76.100 / 52. 76.100
  libavcodec     55. 58.103 / 55. 58.103
  libavformat    55. 37.100 / 55. 37.100
  libavdevice    55. 13.100 / 55. 13.100
  libavfilter     4.  4.100 /  4.  4.100
  libswscale      2.  6.100 /  2.  6.100
  libswresample   0. 18.100 /  0. 18.100
  libpostproc    52.  3.100 / 52.  3.100
[http @ 028735c0] request: GET /radio/824.asx HTTP/1.1   0B f=0/0
User-Agent: Lavf/55.37.100
Accept: */*
Range: bytes=0-
Connection: close
Host: fmhanako.jp


[http @ 028735c0] header='HTTP/1.1 206 Partial Content'  0B f=0/0
[http @ 028735c0] http_code=206
[http @ 028735c0] header='Date: Mon, 05 May 2014 02:05:31 GMT'
[http @ 028735c0] header='Server: Apache'
[http @ 028735c0] header='Last-Modified: Thu, 19 Aug 2010 05:23:04 GMT'
[http @ 028735c0] header='ETag: "40123c87-465-48e2660655e00"'
[http @ 028735c0] header='Accept-Ranges: bytes'
[http @ 028735c0] header='Content-Length: 1125'
[http @ 028735c0] header='Content-Range: bytes 0-1124/1125'
[http @ 028735c0] header='Connection: close'
[http @ 028735c0] header='Content-Type: video/x-ms-asf'
[http @ 028735c0] header=''
[AVIOContext @ 0287ddc0] Statistics: 1125 bytes read, 0 seeks=0/0
http://fmhanako.jp/radio/824.asx: Invalid data found when processing input

Then I change to use mmsh to playback it , also failed

% ffplay -v 999 http://fmhanako.jp/radio/824.asx
ffplay version N-62460-gef818d8 Copyright (c) 2003-2014 the FFmpeg developers
  built on Apr 14 2014 22:01:48 with gcc 4.8.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-w32threads --enable-av
isynth --enable-bzlib --enable-fontconfig --enable-frei0r --enable-gnutls --enab
le-iconv --enable-libass --enable-libbluray --enable-libcaca --enable-libfreetyp
e --enable-libgsm --enable-libilbc --enable-libmodplug --enable-libmp3lame --ena
ble-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-l
ibopus --enable-librtmp --enable-libschroedinger --enable-libsoxr --enable-libsp
eex --enable-libtheora --enable-libtwolame --enable-libvidstab --enable-libvo-aa
cenc --enable-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libwavp
ack --enable-libx264 --enable-libx265 --enable-libxavs --enable-libxvid --enable
-zlib
  libavutil      52. 76.100 / 52. 76.100
  libavcodec     55. 58.103 / 55. 58.103
  libavformat    55. 37.100 / 55. 37.100
  libavdevice    55. 13.100 / 55. 13.100
  libavfilter     4.  4.100 /  4.  4.100
  libswscale      2.  6.100 /  2.  6.100
  libswresample   0. 18.100 /  0. 18.100
  libpostproc    52.  3.100 / 52.  3.100
[http @ 026d3640] request: GET /radio/824.asx HTTP/1.1   0B f=0/0
Range: bytes=0-
Accept: */*
User-Agent: NSPlayer/4.1.0.3856
Host: fmhanako.jp:80
Pragma: no-cache,rate=1.000000,stream-time=0,stream-offset=0:0,request-context=1
,max-duration=0
Pragma: xClientGUID={c77e7400-738a-11d2-9add-0020af0a3278}
Connection: Close


[http @ 026d3640] header='HTTP/1.1 206 Partial Content'  0B f=0/0
[http @ 026d3640] http_code=206
[http @ 026d3640] header='Date: Mon, 05 May 2014 02:05:38 GMT'
[http @ 026d3640] header='Server: Apache'
[http @ 026d3640] header='Last-Modified: Thu, 19 Aug 2010 05:23:04 GMT'
[http @ 026d3640] header='ETag: "40123c87-465-48e2660655e00"'
[http @ 026d3640] header='Accept-Ranges: bytes'
[http @ 026d3640] header='Content-Length: 1125'
[http @ 026d3640] header='Content-Range: bytes 0-1124/1125'
[http @ 026d3640] header='Connection: close'
[http @ 026d3640] header='Content-Type: video/x-ms-asf'
[http @ 026d3640] header=''
Strange chunk type 16700
Get http header data failed!
mmsh://fmhanako.jp/radio/824.asx: Invalid data found when processing input

ffplay can not playback the http://fmhanako.jp/radio/824.asx and mmsh://fmhanako.jp/radio/824.asx. VLC Player can playback it correctly.

best regards

Change History (1)

comment:1 Changed 5 years ago by cehoyos

  • Resolution set to duplicate
  • Status changed from new to closed

Works fine here with ffmpeg -i mmsh://203.141.136.171:8080/hanako1

Ticket #1199 already has the title "Playlist support" which is what this ticket is about.

Note: See TracTickets for help on using tickets.